Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Static_Object_Lock Class Reference

Provide an interface to access a global lock. More...

`#include <Static_Object_Lock.h>`

List of all members.

## Static Public Methods
ACE_Recursive_Thread_Mutex * | instance (void)
| Static lock access point.
void | cleanup_lock (void)

## Detailed Description

Provide an interface to access a global lock.

This class is used to serialize the creation of static singleton objects. It really isn't needed any more, because anyone can access ACE_STATIC_OBJECT_LOCK directly. But, it is retained for backward compatibility.

## Member Function Documentation

void ACE_Static_Object_Lock::cleanup_lock | ( | void |  | ) | `[static]`

| For use only by ACE_Object_Manager to clean up lock if it what dynamically allocated.

ACE_Recursive_Thread_Mutex * ACE_Static_Object_Lock::instance | ( | void |  | ) | `[static]`

| Static lock access point.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Static_Object_Lock.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Object_Manager.cpp